<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Task 80 - Login</title>
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/4.6.2/css/bootstrap.min.css"
    />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  </head>
  <body>
    <div class="container jumbotron my-5 p-2">
      <h3 class="text-center mb-4">Login</h3>
      <div class="row">
        <div class="col-sm-4 mx-auto">
          <div class="row form-group">
            <label for="input-username" class="col-sm-3 col-form-label"
              >Username</label
            >
            <div class="col-sm-9">
              <input type="text" class="form-control" id="input-username" />
            </div>
          </div>
          <div class="row form-group">
            <label for="input-password" class="col-sm-3 col-form-label"
              >Password</label
            >
            <div class="col-sm-9">
              <input type="password" class="form-control" id="input-password" />
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-12">
              <a href="./signup.html">Don't have an account? Click to signup</a>
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-12">
              <button class="btn btn-primary" id="btn-login">Login</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
  <script>
    $('#btn-login').on('click', function () {
      onBtnLoginClick();
    });

    function onBtnLoginClick() {
      var vUserObj = {
        username: '',
        password: '',
      };
      vUserObj.username = $('#input-username').val().trim();
      vUserObj.password = $('#input-password').val().trim();
      var vIsChecked = validateData(vUserObj);
      if (vIsChecked) {
        callApiToLogin(vUserObj);
      }
    }

    function validateData(pUserObj) {
      if (pUserObj.username === '') {
        alert('Vui long nhap username');
        return false;
      }
      if (pUserObj.username === '') {
        alert('Vui long nhap password');
        return false;
      }
      return true;
    }

    function callApiToLogin(pUserObj) {
      console.log(pUserObj);
      console.log(JSON.stringify(pUserObj));
      $.ajax({
        url: 'http://localhost:8080/login',
        method: 'POST',
        contentType: 'application/json',
        data: JSON.stringify(pUserObj),
        success: function (response) {
          alert('Login thanh cong');
          window.location.reload();
        },
        error(error) {
          alert('Error');
          console.log(error);
        },
      });
    }
  </script>
</html>
